From c83491ea0c9004165962819c4acf115bd0d24f39 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 31/48] fix servicelevels property setter


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index 41f8425..b723baf 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -355,7 +355,9 @@ class ModuleMetadata(object):
     @servicelevels.setter
     def servicelevels(self, d):
         if not isinstance(d, dict):
-            self.module.set_servicelevels(d)
+            raise TypeError("servicelevels: data type not supported")
+
+        self.module.set_servicelevels(d)
 
     @property
     def module_licenses(self):

